%define min_apache_version 1.3.6
Summary: An LDAP Authentication Module For Apache 1.3.x
Name: mod_auth_ldap
Version: 2.4.1
Release: 1
Group: System Environment/Daemons
URL: http://www.muquit.com/muquit/software/mod_auth_ldap/mod_auth_ldap.html
Source0: http://www.muquit.com/muquit/software/%{name}/%{name}.tar.gz
Copyright: Apache-style
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, openldap-devel, expat-devel
Requires: webserver

%description 
LDAP is a client-server protocol for accessing a directory service. LDAP server
can be used as a central point for user authentication over the network. LDAP
is the industry standard for directory access and embraced by companies such
as IBM, Netscape, Novell, Microsoft etc.

This module can be used for http basic authentication using the user data stored
in a Lightweight Directory Access Protocol (LDAP) server. I wrote it in
September of 1998. I think the module is simple and clean! I'd like to know
what you think though.

Before compiling the module, you need to compile and install LDAP libraries.
Above all, you must have a working LDAP server. You can use Netscape Directory
server or free Open LDAP server. I found Netscape LDAP server is significantly
faster and robust, however OpenLDAP server is getting better everyday. Netscape
directory server SDK can be used with Open LDAP server and vice versa (netscape
SDK has few extra functions).

To activate this module, you will want to add something similar to the following
lines to your httpd.conf file:
LoadModule ldap_auth_module   modules/mod_auth_ldap.so
AddModule mod_auth_ldap.c

%prep
%setup -q -n modauthldap

%build
%{_sbindir}/apxs -I/usr/include -L/usr/lib -lldap -llber -i -c mod_auth_ldap.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m 755 mod_auth_ldap.so $RPM_BUILD_ROOT%{_libdir}/apache

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/apache/mod_auth_ldap.so
%doc README 

%changelog
* Tue Nov 06 2001 Rich West <Rich.West@wesmo.com>
- 2.4.1 Initial RPM Build.
